tvbrowser.extras.favoritesplugin.dlgs

## Class ManageFavoritesPanel

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - tvbrowser.extras.favoritesplugin.dlgs.ManageFavoritesPanel

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.event.TreeSelectionListener, ListDropAction, PersonaListener

      public class ManageFavoritesPanel
      extends javax.swing.JPanel
      implements ListDropAction, javax.swing.event.TreeSelectionListener, PersonaListener

  A panel for managing of the TV-Browser favorites.
  Author:
    René Mach
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) class` | `ManageFavoritesPanel.FavoriteListCellRenderer`

    - ### Nested classes/interfaces inherited from class javax.swing.JPanel

      `javax.swing.JPanel.AccessibleJPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FILTER_START_LAST_TYPE`

    - ### Fields inherited from class javax.swing.JComponent

      `accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManageFavoritesPanel(Favorite[] favoriteArr, int splitPanePosition, boolean showNew, Favorite initialSelection, boolean border)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFavorite(Favorite fav, boolean update, FavoriteNode parent)`
    `void` | `addFavorite(Favorite fav, java.lang.Object dummy)`
    `void` | `close()`
    `void` | `deleteSelectedFavorite()`
    `void` | `drop(javax.swing.JList source, javax.swing.JList target, int rows, boolean move)` The method that is called by the drop event.
    `void` | `editSelectedFavorite()`
    `void` | `favoriteSelectionChanged()`
    `void` | `favoriteSelectionChanged(boolean scrollToFirst)` Refresh the program list.
    `Favorite[]` | `getFavorites()`
    `java.lang.String` | `getSelectedProgramFilterName()`
    `int` | `getSelectedProgramIndex()`
    `int` | `getSplitpanePosition()`
    `void` | `handleFavoriteEvent()`
    `protected void` | `importFavorites()`
    `boolean` | `isShowingNewFoundPrograms()` Gets if this dialog shows the new found programs after data update.
    `void` | `newFavorite(FavoriteNode parent)`
    `void` | `newFolder(FavoriteNode parent, java.awt.Window partenWindow)`
    `boolean` | `programListIsEmpty()`
    `void` | `registerPersonaListener()`
    `void` | `reload()`
    `void` | `removePersonaListener()`
    `void` | `scrollInProgramListToIndex(int index)`
    `void` | `scrollToDate(Date date)`
    `void` | `scrollToFirstNotExpiredIndex(boolean check)`
    `void` | `scrollToNow()`
    `void` | `scrollToTime(int time, boolean scrollToNext)`
    `void` | `selectFilter(ProgramFilter filter)`
    `void` | `setShowDateSeparators(boolean showDateSeparators)`
    `void` | `setSplitpanePosition(int val)`
    `protected void` | `showFavoritesPopUp(int x, int y)` Show the Popup-Menu
    `void` | `showSendDialog()`
    `protected void` | `sortFavorites(java.util.Comparator<FavoriteNode> comp, java.lang.String title)`
    `void` | `updatePersona()` Called when Persona was changed
    `void` | `valueChanged(javax.swing.event.TreeSelectionEvent e)`

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FILTER_START_LAST_TYPE

          public static final int FILTER_START_LAST_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ManageFavoritesPanel

          public ManageFavoritesPanel(Favorite[] favoriteArr,
                              int splitPanePosition,
                              boolean showNew,
                              Favorite initialSelection,
                              boolean border)

  - ### Method Detail

    - #### showFavoritesPopUp

          protected void showFavoritesPopUp(int x,
                                int y)

      Show the Popup-Menu
      Parameters:
        `x` - X-Position for the popup
        `y` - Y-Position for the popup

    - #### getSplitpanePosition

          public int getSplitpanePosition()

    - #### setSplitpanePosition

          public void setSplitpanePosition(int val)

    - #### favoriteSelectionChanged

          public void favoriteSelectionChanged(boolean scrollToFirst)

      Refresh the program list.

    - #### scrollToFirstNotExpiredIndex

          public void scrollToFirstNotExpiredIndex(boolean check)

    - #### scrollInProgramListToIndex

          public void scrollInProgramListToIndex(int index)

    - #### showSendDialog

          public void showSendDialog()

    - #### newFavorite

          public void newFavorite(FavoriteNode parent)

    - #### addFavorite

          public void addFavorite(Favorite fav,
                         boolean update,
                         FavoriteNode parent)

    - #### addFavorite

          public void addFavorite(Favorite fav,
                         java.lang.Object dummy)

    - #### reload

          public void reload()

    - #### getSelectedProgramIndex

          public int getSelectedProgramIndex()

    - #### editSelectedFavorite

          public void editSelectedFavorite()

    - #### deleteSelectedFavorite

          public void deleteSelectedFavorite()

    - #### sortFavorites

          protected void sortFavorites(java.util.Comparator<FavoriteNode> comp,
                           java.lang.String title)

    - #### importFavorites

          protected void importFavorites()

    - #### getFavorites

          public Favorite[] getFavorites()

    - #### drop

          public void drop(javax.swing.JList source,
                  javax.swing.JList target,
                  int rows,
                  boolean move)

      Description copied from interface: `ListDropAction`
      The method that is called by the drop event.
      Specified by:
        `drop` in interface `ListDropAction`
      Parameters:
        `source` - The source JList.
        `target` - The target JList.
        `rows` - The number of the row to move the entries to.
        `move` - Only move one entry from the source to the target list.

    - #### valueChanged

          public void valueChanged(javax.swing.event.TreeSelectionEvent e)

      Specified by:
        `valueChanged` in interface `javax.swing.event.TreeSelectionListener`

    - #### close

          public void close()

    - #### programListIsEmpty

          public boolean programListIsEmpty()

    - #### isShowingNewFoundPrograms

          public boolean isShowingNewFoundPrograms()

      Gets if this dialog shows the new found programs after data update.
      Returns:
        `True` if this dialog shows the new found programs after data update.

    - #### favoriteSelectionChanged

          public void favoriteSelectionChanged()

    - #### handleFavoriteEvent

          public void handleFavoriteEvent()

    - #### newFolder

          public void newFolder(FavoriteNode parent,
                       java.awt.Window partenWindow)

    - #### updatePersona

          public void updatePersona()

      Description copied from interface: `PersonaListener`
      Called when Persona was changed
      Specified by:
        `updatePersona` in interface `PersonaListener`

    - #### setShowDateSeparators

          public void setShowDateSeparators(boolean showDateSeparators)

    - #### registerPersonaListener

          public void registerPersonaListener()

    - #### removePersonaListener

          public void removePersonaListener()

    - #### scrollToDate

          public void scrollToDate(Date date)

    - #### scrollToNow

          public void scrollToNow()

    - #### scrollToTime

          public void scrollToTime(int time,
                          boolean scrollToNext)

    - #### selectFilter

          public void selectFilter(ProgramFilter filter)

    - #### getSelectedProgramFilterName

          public java.lang.String getSelectedProgramFilterName()

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)